#pragma once

#include "View.h"
#include "widgets.h"

#include <SDL2/SDL.h>

constexpr const char* FT_LOGO_PATH = "resources/Fasttube_Logo-white.bmp";
constexpr const char* AVENIR_FONT_PATH = "resources/Avenir-Book.ttf";

class AMI {
public:
  AMI(SDL_Renderer* renderer);

  void draw();

private:
  SDL_Renderer* renderer;

  TTF_Font* avenir;

  ImageWidget ft_logo;
  TextWidget choose;
};