#include "AMI.h"

#include "util.h"

AMI::AMI(SDL_Renderer* renderer)
    : renderer{renderer}, avenir{util::load_font(AVENIR_FONT_PATH, 28)},
      ft_logo{renderer, {.x = 182, .y = 0, .w = 116, .h = 40}, FT_LOGO_PATH},
      choose{renderer,
             {.x = 0, .y = 45, .w = 480, .h = 40},
             avenir,
             "Choose a Mission:"} {}

void AMI::draw() {
  SDL_SetRenderDrawColor(renderer, 0x00, 0x00, 0x00, 0xFF);
  SDL_RenderClear(renderer);
  ft_logo.draw();
  choose.draw();
}